---
title: How to convert code samples to be "live"
slug: MDN/Contribute/Howto/Convert_code_samples_to_be_live
tags:
  - Beginner
  - Howto
  - MDN Meta
---
<div>{{MDNSidebar}}</div>

<p class="summary">MDN has a "<a href="/en-US/docs/MDN/Contribute/Structures/Live_samples">live sample</a>" system, where the code sample shown on a page is directly used to display the output of that same sample. However, many existing articles have code samples that do not yet use this system, and need to be converted.</p>

<p><span class="seoSummary">Live samples, which let you see what a sample's output looks like, make documentation more dynamic and instructive. This guide covers how to take existing samples and add "live" functionality to them.</span></p>

<dl>
 <dt><strong>Where does it need to be done?</strong></dt>
 <dd>Any article that has a static code example (just blocks of HTML, CSS, JavaScript) that you think would benefit from being shown running live.</dd>
 <dt><strong>What do you need to know to do the task?</strong></dt>
 <dd>
 <ul>
  <li>Understanding of HTML, CSS and/or JavaScript, depending on the code sample.</li>
  <li>Ability to use <a href="/en-US/docs/MDN/Tools/KumaScript">KumaScript</a> macros within MDN articles.</li>
 </ul>
 </dd>
 <dt><strong>What are the steps to do the task?</strong></dt>
 <dd>
 <ol>
  <li>Find a code example that you think should be converted to be "live".</li>
  <li>Convert the code sample to be "live".</li>
  <li>Delete any code or image that was previously used to display the output of the sample.</li>
 </ol>
 </dd>
</dl>

<p>For more information on creating and editing Live Samples, see <a href="/en-US/docs/MDN/Structures/Live_samples">Using the live sample system</a></p>
